Bug 310041 - selinux-policy-targeted doesn't like system-control-network
selinux-policy-targeted doesn't like system-control-network
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 17:38 EDT by Matthew Saltzman
Modified: 2008-01-30 14:06 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-09-27 17:38:30 EDT
Description of problem:
Attempting to activate my wireless interface from system-control-network results
in four AVCs:

SELinux is preventing /sbin/consoletype (consoletype_t) "write" to pipe
(unconfined_t).

SELinux is preventing ifconfig (ifconfig_t) "write" to pipe (unconfined_t).

SELinux is preventing consoletype (consoletype_t) "read" to pipe (unconfined_t).
(twice)

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.0.8-14.fc8.noarch

How reproducible:
Always

Steps to Reproduce:
1. Open system-control-network as regular user.
2. Activate an interface that is set to be controlled by regular users.
3.
  
Actual results:
AVCs

Expected results:
No AVCs

Additional info:

avc: denied { read } for comm=consoletype dev=pipefs path=pipe:[25285] pid=3171
scontext=system_u:system_r:consoletype_t:s0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 

avc: denied { write } for comm=ifconfig dev=pipefs path=pipe:[25285] pid=3196
scontext=system_u:system_r:ifconfig_t:s0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 

avc: denied { write } for comm=consoletype dev=pipefs egid=0 euid=0
exe=/sbin/consoletype exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=pipe:[25285]
pid=3169 scontext=system_u:system_r:consoletype_t:s0 sgid=0
subj=system_u:system_r:consoletype_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=0 

Haven't tried as root.
Comment 1 Daniel Walsh 2007-09-28 09:04:33 EDT
Dontaudited  in selinux-policy-3.0.8-15.fc8
Comment 2 Matthew Saltzman 2007-10-03 11:54:32 EDT
Still an issue with selinux-policy-targeted-3.0.8-16.fc8.noarch.

avc: denied { read } for comm=consoletype dev=pipefs egid=0 euid=0
exe=/sbin/consoletype exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=pipe:[20627]
pid=3711 scontext=system_u:system_r:consoletype_t:s0 sgid=0
subj=system_u:system_r:consoletype_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=0 

avc: denied { write } for comm=consoletype dev=pipefs egid=0 euid=0
exe=/sbin/consoletype exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=pipe:[20626]
pid=3451 scontext=system_u:system_r:consoletype_t:s0 sgid=0
subj=system_u:system_r:consoletype_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=0 
Comment 3 Daniel Walsh 2007-10-03 16:59:28 EDT
Dontaudited  in selinux-policy-3.0.8-17.fc8
Comment 4 Matthew Saltzman 2007-10-05 11:26:00 EDT
Still getting these with selinux-policy-3.0.8-17.fc8.


avc: denied { write } for comm=consoletype dev=pipefs egid=0 euid=0
exe=/sbin/consoletype exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=pipe:[16723]
pid=3135 scontext=system_u:system_r:consoletype_t:s0 sgid=0
subj=system_u:system_r:consoletype_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=0 

avc: denied { read } for comm=consoletype dev=pipefs egid=0 euid=0
exe=/sbin/consoletype exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=pipe:[16724]
pid=3137 scontext=system_u:system_r:consoletype_t:s0 sgid=0
subj=system_u:system_r:consoletype_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=0 
Comment 5 Daniel Walsh 2008-01-30 14:06:27 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.